=== debian/changelog ===
alpaka (0.1.1~git20250716.6da6dd61-1) experimental; urgency=medium

  * Initial upload. (Closes: #1110297)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 02 Aug 2025 18:45:39 +0200
