=== debian/control ===
Source: alpaka
Section: contrib/kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Homepage: https://apps.kde.org/alpaka/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/alpaka
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/alpaka.git
Rules-Requires-Root: no
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6statusnotifieritem-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               pkgconf,
               qml6-module-org-kde-kirigamiaddons-components,
               qml6-module-org-kde-kirigamiaddons-formcard,
               qml6-module-org-kde-kirigamiaddons-settings,
               qt6-base-dev (>= 6.6~),
               qt6-declarative-dev (>= 6.6~),
               xauth <!nocheck>,
               xvfb <!nocheck>,

Package: alpaka
Section: contrib/kde
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Kirigami client for Ollama
 Alpaka is a client for Ollama built with Kirigami.

Package: kllmcore6-data
Section: contrib/libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE library for interfacing with LLMs - data files
 KDE library for interfacing with LLMs and more precisely with Ollama.
 .
 This package contains the architecture-independent data files.

Package: libkllm-dev
Section: contrib/libdevel
Architecture: any
Multi-Arch: same
Depends: libkllmcore0 (= ${binary:Version}),
         libkllmwidgets0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE library for interfacing with LLMs - development files
 KDE library for interfacing with LLMs and more precisely with Ollama.
 .
 This package contains the development files.

Package: libkllmcore0
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: kllmcore6-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE library for interfacing with LLMs
 KDE library for interfacing with LLMs and more precisely with Ollama.

Package: libkllmwidgets0
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: KDE library for interfacing with LLMs - widgets
 KDE library for interfacing with LLMs and more precisely with Ollama.
 .
 This package contains the reusable widgets.
