=== debian/changelog ===
alpaka (0.1.1~git20251104.0a908564-1) experimental; urgency=medium

  * New upstream git snapshot (0.1.1~git20251104.0a908564-1).
  * Drop libkllmwidgets, removed upstream.
  * Update the list of installed files.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 22:00:57 +0100
