=== debian/control ===
--- 
+++ 
@@ -55,7 +55,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkllmcore0 (= ${binary:Version}),
-         libkllmwidgets0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: KDE library for interfacing with LLMs - development files
@@ -72,14 +71,3 @@
          ${shlibs:Depends},
 Description: KDE library for interfacing with LLMs
  KDE library for interfacing with LLMs and more precisely with Ollama.
-
-Package: libkllmwidgets0
-Section: contrib/libs
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Description: KDE library for interfacing with LLMs - widgets
- KDE library for interfacing with LLMs and more precisely with Ollama.
- .
- This package contains the reusable widgets.
