## alpaka 0.1.1+p24.04+vunstable+git20251209.2211

=== debian/changelog ===
alpaka (0.1.1+p24.04+vunstable+git20251209.2211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 22:11:07 +0000

alpaka (0.1.1-0neon) noble; urgency=medium

  * initial release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:45:52 +0000
