=== debian/control ===
Source: alpaka
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               reuse,
               spdx-licenses
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/alpaka.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/alpaka
Maintainer: Neon CI <neon@kde.org>

Package: alpaka
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Client for Ollama built with Kirigami
 To run Alpaka, you will need to install Ollama and have it serving on
 http://localhost:11434. You will also need to install a model for ollama to
 use; you can do so by running ollama pull llama2. After that, you can build
 and run Alpaka and it will interface with the Ollama API.
