## alpaka 0.1.1+p24.04+vunstable+git20251209.2224

=== debian/changelog ===
alpaka (0.1.1+p24.04+vunstable+git20251209.2224-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 22:24:02 +0000
