=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               extra-cmake-modules,
+               doxygen,
+               graphviz,
+               kf6-extra-cmake-modules,
                kf6-kconfig-dev,
                kf6-kcoreaddons-dev,
                kf6-kcrash-dev,
@@ -17,6 +19,7 @@
                pkg-kde-tools-neon,
                qt6-base-dev,
                qt6-declarative-dev,
+               qt6-tools-dev,
                reuse,
                spdx-licenses
 Standards-Version: 4.6.2
