=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 	dh $@ --with kf6 --buildsystem kf6
 
 override_dh_auto_configure:
-	dh_auto_configure -- /
-	-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT=ON
+	dh_auto_configure -- \
+	-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT=ON \
 	-DBUILD_QCH=ON
 
 override_dh_auto_test:
